/*
* FileName:  install.js
*/

const APP_DISPLAY_NAME = "Mozilla Internet Dictionary";
const APP_NAME = "MID";
const APP_PACKAGE = "mid.mozdev.org/";
const APP_VERSION = "0.6.70";

const APP_JAR_FILE = "mid.jar";
const APP_CONTENT_FOLDER = "content/"; 
const APP_SKIN_FOLDER = "skin/classic/"; 
const APP_LOCALE_FOLDER = "locale/en-US/"; 

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION); 

var chromef = getFolder("Profile", "chrome");

var err = addFile(APP_PACKAGE, APP_VERSION, 'chrome/' + APP_JAR_FILE, chromef, null) 
logComment("addFile() returned: " + err);

if ( err == SUCCESS ) { 
  var jar = getFolder(chromef, APP_JAR_FILE);
  registerChrome(CONTENT | PROFILE_CHROME, jar, APP_CONTENT_FOLDER );
  registerChrome(SKIN | PROFILE_CHROME, jar, APP_SKIN_FOLDER );
  registerChrome(LOCALE | PROFILE_CHROME, jar, APP_LOCALE_FOLDER );
  registerChrome(LOCALE | PROFILE_CHROME, jar, "locale/es-AR/");
  registerChrome(LOCALE | PROFILE_CHROME, jar, "locale/en-US/");
  registerChrome(LOCALE | PROFILE_CHROME, jar, "locale/hr-HR/");
  registerChrome(LOCALE | PROFILE_CHROME, jar, "locale/es-ES/");
  registerChrome(LOCALE | PROFILE_CHROME, jar, "locale/pt-BR/");
  registerChrome(LOCALE | PROFILE_CHROME, jar, "locale/fr-FR/");
  registerChrome(LOCALE | PROFILE_CHROME, jar, "locale/it-IT/");
  registerChrome(LOCALE | PROFILE_CHROME, jar, "locale/nl-NL/");
  registerChrome(LOCALE | PROFILE_CHROME, jar, "locale/pl-PL/");
  registerChrome(LOCALE | PROFILE_CHROME, jar, "locale/de-DE/");
  registerChrome(LOCALE | PROFILE_CHROME, jar, "locale/zh-CN/");

  err = performInstall();
  
  if ( err == SUCCESS ) {
    alert("MID has been succesfully installed. \n"
     	+"Please restart your browser to continue.");
  } else { 
    alert("performInstall() failed. \n"
    +"_____________________________\nError code:" + err);
    cancelInstall(err);
  }
} else { 
  alert("Failed to create directory. \n"
  +"You probably don't have appropriate permissions \n"
  +"(write access to mozilla/chrome directory). \n"
  +"_____________________________\nError code:" + err);
  cancelInstall(err);
}

